For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Workflows
    • Overview
  • Get Started
    • MCP Quick Start
    • API Quick Start
  • MCP Server
    • Overview
    • Installation
  • Direct API
    • Overview
    • Authentication
      • GETGet all minds
      • POSTCreate a new mind
      • GETSearch minds
      • GETGet mind by ID
      • PUTUpdate mind by ID
      • DELDelete mind by ID
      • POSTRun simulation
      • GETGet signed URL for artifact upload
      • GETGet memory bank snapshots
      • POSTCreate a memory bank snapshot
      • GETGet memory bank snapshot status
      • GETGet all tags
      • PUTUpdate a tag
      • DELDelete a tag
      • PUTSet tags for a mind
      • GETList simulations
      • GETGet a simulation
      • DELDelete a simulation
      • GETGet psychometrics for a snapshot
      • GETGet topic analysis for a snapshot
      • GETGet snapshot details
      • POSTCreate a snapshot link
      • DELDelete a snapshot
      • POSTLink a snapshot
      • POSTUnlink a snapshot
      • GETGet API Key Usage
      • POSTProxy a request
    • Error Handling
  • SDKs
  • Core Concepts
    • Minds, Snapshots, & Simulations
    • SOC 2, HIPAA, & GDPR
LogoLogo
LogoLogo
Direct APIAPI Reference

Delete a snapshot

DELETE
https://api.reasoner.com/api/mindsim/minds/:mindId/snapshots/:snapshotId
DELETE
/api/mindsim/minds/:mindId/snapshots/:snapshotId
$curl -X DELETE https://api.reasoner.com/api/mindsim/minds/123e4567-e89b-12d3-a456-426614174000/snapshots/123e4567-e89b-12d3-a456-426614174001 \
> -H "Authorization: Bearer <token>"
1{
2 "message": "Snapshot deleted successfully",
3 "snapshotId": "123e4567-e89b-12d3-a456-426614174001"
4}

Soft-deletes a mind assessment snapshot

Was this page helpful?
Previous

Link a snapshot

Next
Built with

Authentication

AuthorizationBearer

API key passed as Bearer token in Authorization header (e.g., “Authorization: Bearer YOUR_API_KEY”)

Path parameters

mindIdstringRequired
snapshotIdstringRequired

Response

Snapshot deleted successfully
messagestring
snapshotIdstring

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error